/***********************************************************
	INDEX STATEMENTS
***********************************************************/

CREATE UNIQUE INDEX UNI_STR
    ON STREET(CITYGID, STRNAME);

CREATE UNIQUE INDEX UNI_REGAREA
    ON REGISTRATIONAREA(AREACODE, HSPGID);
    
CREATE UNIQUE INDEX UNI_ADDRESS
    ON ADDRESS(ADRLID, WSTGID);
    
CREATE UNIQUE INDEX UNI_PERSON
    ON PERSON(PRNLID, WSTGID);

CREATE UNIQUE INDEX UNI_DOCUMENT
    ON DOCUMENT(DOCLID, WSTGID);

CREATE UNIQUE INDEX UNI_PRIMARYINSPECTION
    ON PRIMARYINSPECTION(DOCLID, WSTGID);

CREATE UNIQUE INDEX UNI_SCRININGCARD
    ON SCRININGCARD(DOCLID, WSTGID);

CREATE UNIQUE INDEX UNI_OPERATOR
    ON OPERATOR(USERNAME, WSTGID);

CREATE INDEX POS_NAME
    ON POST(POSNAME);

CREATE INDEX HOS_NAME
    ON HOSPITAL(MU);

CREATE UNIQUE INDEX UNI_HOSP
    ON HOSPITAL(REGGID,MUFL);
