program AIS_EMAG_SRV;

uses
  Forms,
  WWDataModule in 'WWDataModule.pas' {WWDM: TDataModule},
  AbstractContainer in 'AbstractContainer.pas',
  ArrayList in 'ArrayList.pas',
  ArraySet in 'ArraySet.pas',
  DBObjects in 'DBObjects.pas',
  DCL_intf in 'DCL_intf.pas',
  DCLUtil in 'DCLUtil.pas',
  form_Brigade in 'form_Brigade.pas' {BrigadeDlg},
  form_Operator in 'form_Operator.pas' {OperatorDlg},
  form_Workstation in 'form_Workstation.pas' {WorkstationDialog},
  HashMap in 'HashMap.pas',
  Main in 'MAIN.PAS' {SrvMainForm},
  WstWizard in 'WstWizard.pas' {AdminWizard},
  SIEDataModule in '..\ImportExport\SIEDataModule.pas' {SIEDM: TDataModule},
  form_Common in '..\form_Common.pas' {CommonForm},
  Unit_GlobalObjects in '..\Unit_GlobalObjects.pas',
  StrConst in '..\ImportExport\StrConst.pas',
  form_SetSettings in '..\form_SetSettings.pas' {SetSettingsForm},
  kaStickingBevel in '..\kaStickingBevel.pas',
  Replications in '..\ImportExport\Replications.pas' {Replicator},
  MinModal in '..\ImportExport\MinModal.pas',
  RplThreads in '..\ImportExport\RplThreads.pas',
  WIEDataModule in '..\ImportExport\WIEDataModule.pas' {WIEDM: TDataModule},
  Unit_AIS_EMAG_UTILS in '..\Unit_AIS_EMAG_UTILS.pas',
  Unit_DataModule in '..\Unit_DataModule.pas' {DM: TDataModule},
  Class_DBDocument in '..\Class_DBDocument.pas',
  Class_KopeObject in '..\Class_KopeObject.pas',
  Class_PIList in '..\Class_PIList.pas',
  Class_ScriningCard in '..\Class_ScriningCard.pas',
  form_explorer in '..\form_explorer.pas' {ExplorerForm},
  form_ExternalSearch in '..\form_ExternalSearch.pas' {ExternalSearchForm},
  form_primary_inspection in '..\form_primary_inspection.pas' {PrimaryInspectionForm},
  form_reference in '..\form_reference.pas' {ReferenceForm},
  form_login in '..\form_login.pas' {LoginForm},
  Unit_Security in '..\Unit_Security.pas' {SecurityDM: TDataModule},
  form_Reports in '..\form_Reports.pas' {ReportWizardForm},
  Unit_Report7 in '..\Reports\Unit_Report7.pas' {Report7},
  Unit_Report1 in '..\Reports\Unit_Report1.pas' {Report1},
  Unit_Report2 in '..\Reports\Unit_Report2.pas' {Report2},
  Unit_Report3 in '..\Reports\Unit_Report3.pas' {Report3},
  Unit_Report4 in '..\Reports\Unit_Report4.pas' {Report4},
  Unit_Report5 in '..\Reports\Unit_Report5.pas' {Report5},
  Unit_Report6 in '..\Reports\Unit_Report6.pas' {Report6},
  FormWait in '..\FormWait.pas' {fmWait},
  form_ScriningCard in '..\form_ScriningCard.pas' {ScrCardForm},
  FormAbout in '..\FormAbout.pas' {fmAbout},
  FormExportParams in '..\FormExportParams.pas' {fmExportParams},
  FormTemplate in '..\FormTemplate.pas' {fmTemplate};

{$R *.RES}

begin
  AppInfo := TAppInfo.Create(Application);
  AppInfo.CheckDatabaseSettings;
  AppInfo.GetDatabaseSettings;
  Application.Initialize;
  Application.Title := '  ()';
  Application.CreateForm(TSrvMainForm, SrvMainForm);
  Application.CreateForm(TfmExportParams, fmExportParams);
  if SrvMainForm.KZCenter.Connected then
	  Application.Run;
end.
