object WWDM: TWWDM
  OldCreateOrder = False
  OnCreate = DataModuleCreate
  Left = 285
  Top = 161
  Height = 479
  Width = 741
  object dsOperator: TDataSource
    DataSet = itOperator
    Left = 182
    Top = 275
  end
  object dsWorkStation: TDataSource
    DataSet = itWorkstation
    Left = 182
    Top = 227
  end
  object dsHospital: TDataSource
    DataSet = itHospital
    Left = 182
    Top = 131
  end
  object itOperator: TQuery
    AfterScroll = itAfterScroll
    DatabaseName = 'KZCenter'
    DataSource = dsWorkStation
    SQL.Strings = (
      'SELECT * FROM Operator'
      'WHERE WstGID=:WSTGID'
      'ORDER BY UserName')
    Left = 117
    Top = 275
    ParamData = <
      item
        DataType = ftUnknown
        Name = 'WSTGID'
        ParamType = ptUnknown
      end>
  end
  object itWorkstation: TQuery
    AfterScroll = itAfterScroll
    DatabaseName = 'KZCenter'
    SQL.Strings = (
      'SELECT * FROM Workstation'
      'WHERE '
      'HspGID=:HSPGID'
      'ORDER BY WstName')
    Left = 117
    Top = 227
    ParamData = <
      item
        DataType = ftFloat
        Name = 'HSPGID'
        ParamType = ptUnknown
      end>
  end
  object itHospital: TQuery
    AfterScroll = itAfterScroll
    DatabaseName = 'KZCenter'
    DataSource = dsRegion
    SQL.Strings = (
      'SELECT * FROM Hospital'
      'WHERE RegGID'
      '= :RegGID'
      'AND MU LIKE'
      #39'%'#39
      'ORDER BY MU, MUFL')
    Left = 117
    Top = 131
    ParamData = <
      item
        DataType = ftUnknown
        Name = 'RegGID'
        ParamType = ptUnknown
      end>
  end
  object dsRegion: TDataSource
    DataSet = itRegion
    Left = 182
    Top = 35
  end
  object itRegionNotNull: TQuery
    DatabaseName = 'KZCenter'
    Filtered = True
    SQL.Strings = (
      'SELECT * FROM Region'
      'WHERE REGNAME LIKE'
      #39'%'#39
      'ORDER BY RegName')
    Left = 29
    Top = 35
  end
  object itRegion: TRxMemoryData
    FieldDefs = <>
    AfterOpen = itRegionAfterOpen
    AfterScroll = itRegionAfterScroll
    Left = 117
    Top = 35
  end
  object dsBrigade: TDataSource
    DataSet = itBrigade
    Left = 182
    Top = 179
  end
  object itBrigade: TQuery
    AfterScroll = itAfterScroll
    DatabaseName = 'KZCenter'
    DataSource = dsCity
    SQL.Strings = (
      'SELECT * FROM Brigade'
      'WHERE CityGID'
      '= :CityGID'
      'ORDER BY BrgName')
    Left = 117
    Top = 179
    ParamData = <
      item
        DataType = ftInteger
        Name = 'CityGID'
        ParamType = ptUnknown
      end>
  end
  object sqlLinkedLPU: TQuery
    DatabaseName = 'KZCenter'
    SQL.Strings = (
      'SELECT HspGID, MU, MUFL'
      'FROM Hospital'
      'WHERE EXISTS'
      '('
      '  SELECT * FROM BrigHsp'
      '  WHERE Hospital.HspGID = BrigHsp.HspGID'
      '    AND BrigHsp.BrgGID = :BRGGID'
      ')')
    Left = 312
    Top = 80
    ParamData = <
      item
        DataType = ftInteger
        Name = 'BRGGID'
        ParamType = ptUnknown
      end>
  end
  object sqlAvailLPU: TQuery
    DatabaseName = 'KZCenter'
    Filtered = True
    SQL.Strings = (
      'SELECT HspGID, MU, MUFL, RegGID'
      'FROM Hospital'
      'WHERE NOT EXISTS'
      '('
      '  SELECT * FROM BrigHsp'
      '  WHERE Hospital.HspGID = BrigHsp.HspGID'
      '    AND BrigHsp.BrgGID = :BRGGID'
      ')')
    Left = 312
    Top = 128
    ParamData = <
      item
        DataType = ftInteger
        Name = 'BRGGID'
        ParamType = ptUnknown
      end>
  end
  object sqlCleanBrigHosp: TQuery
    DatabaseName = 'KZCenter'
    Filtered = True
    SQL.Strings = (
      'DELETE FROM BrigHsp'
      'WHERE BrgGID = :BRGGID'
      '')
    Left = 312
    Top = 176
    ParamData = <
      item
        DataType = ftInteger
        Name = 'BRGGID'
        ParamType = ptUnknown
      end>
  end
  object dsCity: TDataSource
    DataSet = itCity
    Left = 182
    Top = 83
  end
  object itCityNotNull: TQuery
    DatabaseName = 'KZCenter'
    SQL.Strings = (
      'SELECT * FROM City'
      'WHERE CITYNAME LIKE'
      #39'%'#39
      'ORDER BY CityName')
    Left = 29
    Top = 83
    object itCityNotNullCITYGID: TFloatField
      FieldName = 'CITYGID'
      Origin = 'KZCENTER.CITY.CITYGID'
    end
    object itCityNotNullCITYNAME: TStringField
      FieldName = 'CITYNAME'
      Origin = 'KZCENTER.CITY.CITYNAME'
      Size = 50
    end
    object itCityNotNullCITYSOATO: TStringField
      FieldName = 'CITYSOATO'
      Origin = 'KZCENTER.CITY.CITYSOATO'
      Size = 10
    end
    object itCityNotNullCITYOKATO: TStringField
      FieldName = 'CITYOKATO'
      Origin = 'KZCENTER.CITY.CITYOKATO'
      Size = 13
    end
    object itCityNotNullREGGID: TFloatField
      FieldName = 'REGGID'
      Origin = 'KZCENTER.CITY.REGGID'
    end
  end
  object itCity: TRxMemoryData
    Filtered = True
    FieldDefs = <>
    AfterOpen = itCityAfterOpen
    AfterScroll = itCityAfterScroll
    Left = 117
    Top = 83
  end
end
